<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>TxListHistoricalLettersSummariesMapper.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pzic_financialManagementCompanies</a> &gt; <a href="index.source.html" class="el_package">com.bbva.pzic.listHistoricalLettersSummaries.dao.tx.mapper.impl</a> &gt; <span class="el_source">TxListHistoricalLettersSummariesMapper.java</span></div><h1>TxListHistoricalLettersSummariesMapper.java</h1><pre class="source lang-java linenums">package com.bbva.pzic.listHistoricalLettersSummaries.dao.tx.mapper.impl;

import com.bbva.pzic.listHistoricalLettersSummaries.business.dto.DTOIntHistoricalLettersSummariesId;
import com.bbva.pzic.listHistoricalLettersSummaries.dao.model.rif4.FormatoRIMRF40;
import com.bbva.pzic.listHistoricalLettersSummaries.dao.model.rif4.FormatoRIMRF41;
import com.bbva.pzic.listHistoricalLettersSummaries.dao.model.rif4.FormatoRIMRF42;
import com.bbva.pzic.listHistoricalLettersSummaries.dao.tx.mapper.ITxListHistoricalLettersSummariesMapper;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.dto.HistoricalLettersSummaries;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.dto.HistoricalParameter;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.dto.InformationPeriod;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

@Component
<span class="fc" id="L21">public class TxListHistoricalLettersSummariesMapper implements ITxListHistoricalLettersSummariesMapper {</span>

<span class="fc" id="L23">    private static final Log LOG = LogFactory.getLog(TxListHistoricalLettersSummariesMapper.class);</span>

    @Override
    public FormatoRIMRF40 mapIn(DTOIntHistoricalLettersSummariesId dtoIn) {
<span class="fc" id="L27">        LOG.info(&quot;... called method TxListHistoricalLettersSummariesMapper.mapIn ...&quot;);</span>
<span class="fc bfc" id="L28" title="All 2 branches covered.">        if(dtoIn == null)</span>
<span class="fc" id="L29">            return null;</span>
<span class="fc" id="L30">        FormatoRIMRF40 formatoRIMRF40 = new FormatoRIMRF40();</span>
<span class="fc" id="L31">        formatoRIMRF40.setCodcent(dtoIn.getBusinessId());</span>
<span class="fc" id="L32">        return formatoRIMRF40;</span>
    }

    @Override
    public List&lt;HistoricalLettersSummaries&gt; mapOut1(FormatoRIMRF41 formatOutput, List&lt;HistoricalLettersSummaries&gt; historicalLettersSummaries) {
<span class="nc" id="L37">        LOG.info(&quot;... called method TxListHistoricalLettersSummariesMapper.mapOut1 ...&quot;);</span>
       // if(CollectionUtils.isEmpty(historicalLettersSummaries) || formatOutput == null)
        //    return null;
<span class="nc" id="L40">        HistoricalLettersSummaries historicalLettersSummary = new HistoricalLettersSummaries();</span>
<span class="nc" id="L41">        historicalLettersSummary.setId(formatOutput.getId());</span>
<span class="nc" id="L42">        historicalLettersSummary.setName(formatOutput.getEfedes());</span>
<span class="nc" id="L43">        historicalLettersSummaries.add(historicalLettersSummary);</span>
<span class="nc" id="L44">        return historicalLettersSummaries;</span>
    }

    @Override
        public List&lt;HistoricalLettersSummaries&gt; mapOut2(FormatoRIMRF42 formatOutput, List&lt;HistoricalLettersSummaries&gt; historicalLettersSummaries) {
<span class="nc" id="L49">            LOG.info(&quot;... called method TxListHistoricalLettersSummariesMapper.mapOut2 ...&quot;);</span>
        //    if(CollectionUtils.isEmpty(historicalLettersSummaries) || formatOutput == null)
         //       return null;
<span class="nc" id="L52">            HistoricalLettersSummaries historicalLettersSummarie = historicalLettersSummaries.get(historicalLettersSummaries.size() - 1);</span>
<span class="nc bnc" id="L53" title="All 2 branches missed.">            if(CollectionUtils.isEmpty(historicalLettersSummarie.getHistoricalParameters())){</span>
<span class="nc" id="L54">                historicalLettersSummarie.setHistoricalParameters(new ArrayList&lt;&gt;());</span>
            }

<span class="nc" id="L57">            HistoricalParameter historicalParameters = new HistoricalParameter();</span>
<span class="nc" id="L58">            historicalParameters.setPercentage(formatOutput.getPorefe());</span>
<span class="nc" id="L59">            historicalParameters.setInformationPeriod(mapOutInformationPeriod(formatOutput.getPerefel(), formatOutput.getUniefel()));</span>
<span class="nc" id="L60">            historicalLettersSummarie.getHistoricalParameters().add(historicalParameters);</span>
<span class="nc" id="L61">        return historicalLettersSummaries;</span>
    }

    private InformationPeriod mapOutInformationPeriod(final Integer perefel, final String uniefel) {
<span class="nc bnc" id="L65" title="All 4 branches missed.">        if(perefel == null &amp;&amp;  uniefel == null){</span>
<span class="nc" id="L66">            return null;</span>
        }
<span class="nc" id="L68">        InformationPeriod informationPeriod = new InformationPeriod();</span>
<span class="nc" id="L69">        informationPeriod.setNumber(perefel);</span>
<span class="nc" id="L70">        informationPeriod.setUnit(uniefel);</span>
<span class="nc" id="L71">        return informationPeriod;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>